Bug 1560827 (CVE-2018-8945)

Summary: CVE-2018-8945 binutils: Crash in elf.c:bfd_section_from_shdr() with crafted executable
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: aoliva, dvlasenk, erik-fedora, jakub, klember, ktietz, law, nickc, ohudlick, rjones, yselkowi
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20180207,reported=20180327,source=cve,cvss3=3.3/CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:L,cwe=CWE-400,fedora-all/binutils=affected,fedora-all/mingw-binutils=affected,epel-all/mingw-binutils=affected,rhel-5/binutils=notaffected,rhel-5/binutils220=wontfix,rhel-6/binutils=wontfix,rhel-7/binutils=affected,dts-6/devtoolset-6-binutils=wontfix,dts-7/devtoolset-7-binutils=wontfix,rhel-8/binutils=notaffected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:18:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1560828, 1560829, 1560830, 1560831, 1579801    
Bug Blocks: 1553120    

Description Sam Fowler 2018-03-27 04:38:50 UTC
binutils through version 2.30 has a vulnerability in the elf.c:bfd_section_from_shdr() functionof the Binary File Descriptor (BFD) library (aka libbfd). An attacker could exploit this with a crafted executable file to cause a crash.


Upstream Bug:

https://sourceware.org/bugzilla/show_bug.cgi?id=22809


Upstream Patch:

https://sourceware.org/bugzilla/attachment.cgi?id=10814&action=diff

Comment 1 Sam Fowler 2018-03-27 04:39:39 UTC
Created mingw-binutils tracking bugs for this issue:

Affects: fedora-all [bug 1560831]


Created binutils tracking bugs for this issue:

Affects: fedora-all [bug 1560828]


Created mingw-binutils tracking bugs for this issue:

Affects: epel-all [bug 1560830]

Comment 5 errata-xmlrpc 2018-10-30 07:23:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3032 https://access.redhat.com/errata/RHSA-2018:3032